Bug 569550 - md5sum fail to work with DOS md5 files
md5sum fail to work with DOS md5 files
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: coreutils (Show other bugs)
12
All Linux
low Severity low
: ---
: ---
Assigned To: Ondrej Vasik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-01 12:09 EST by Yuri Domrin
Modified: 2010-12-03 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 17:11:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to allow <whatever>sum utilities to work with DOS formatted files (651 bytes, patch)
2010-03-02 09:39 EST, Ondrej Vasik
no flags Details | Diff

  None (edit)
Description Yuri Domrin 2010-03-01 12:09:54 EST
Description of problem:
md5sum fail to work with md5 files, created under DOS or Windows.

Version-Release number of selected component (if applicable):
coreutils.x86_64 7.6-9.fc12

How reproducible:
[yd@c2 ~]$ touch somefile
[yd@c2 ~]$ md5sum -b somefile > somefile.md5
[yd@c2 ~]$ md5sum -c somefile.md5
somefile: OK
[yd@c2 ~]$ unix2dos somefile.md5
unix2dos: converting file somefile.md5 to DOS format ...
[yd@c2 ~]$ md5sum -c somefile.md5
: No such file or directory
: FAILED open or read
md5sum: WARNING: 1 of 1 listed file could not be read

Expected results:
correct work both for UNIX and DOS md5 files.

Additional info:
Comment 1 Ondrej Vasik 2010-03-02 09:39:59 EST
Created attachment 397336 [details]
Patch to allow <whatever>sum utilities to work with DOS formatted files

Thanks for report, it was reported few times to upstream - http://lists.gnu.org/archive/html/bug-coreutils/2004-11/msg00037.html , http://lists.gnu.org/archive/html/bug-coreutils/2006-08/msg00073.html . However - no patch was afaik submitted. This attached patch should solve the issue.
Comment 2 Ondrej Vasik 2010-03-04 04:30:54 EST
Just to add several others upstream threads:
http://lists.gnu.org/archive/html/bug-coreutils/2004-12/msg00002.html (that's the same approach as my current patch)
http://lists.gnu.org/archive/html/bug-coreutils/2007-03/msg00181.html (more complex solution)

Current proposal is http://lists.gnu.org/archive/html/bug-coreutils/2010-03/msg00015.html . It got +1 from Eric Blake, however it wrongly handles filenames with carriage return at the end (very unlikely to happen, but allowed). More complex solution will be needed to solve it better way. I'm waiting for other maintainers opinion now...
Comment 3 Bug Zapper 2010-11-03 17:03:00 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-12-03 17:11:21 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.